package com.sea.gbgs5;

import javax.microedition.midlet.MIDlet;

/**
 * GBGS5 Test Software
 * 
 *
 * History
 * 2015-09-03 GSM-PRESS, version 1.01
 * a) Project foundation, import from GSM-PRESS, version 1.02
 * 
 * 
 * 
 */
/**
 * TODOLIST
 */

/*
 Legend:

 * -> Security Fix
 # -> Bug Fix
 $ -> Language fix or change
 + -> Addition
 ^ -> Change
 - -> Removed
 ! -> Note
 */
public class Main extends MIDlet {

// --------------------------------------------------
// Public Constants
// --------------------------------------------------  
public static final String PRODUCT_NAME = "CMGSM";
public static final String PRODUCT_NUMBER = "C5-88-D9";
public static final String PRODUCT_VERSION = "1.01";
public static String SERIAL_NUMBER = "GD415000"; // real S/N will coma from 'sn.txt'

// --------------------------------------------------
// Public Properties
// --------------------------------------------------
// --------------------------------------------------
// Private Constants
// --------------------------------------------------
private static Main instance = null;
// --------------------------------------------------
// Private Properties
// --------------------------------------------------
private static Control cntrl;

/**
 * startApp()
 *
 * @throws MIDletStateChangeException
 */
public void startApp() {

  instance = this;

  System.out.println();
  System.out.println("***********************************");
  System.out.println("*           Starting up           *");
  System.out.println("***********************************");
  System.out.println();

  cntrl = Control.getInstance();
  cntrl.startRunning();
  
}

public void pauseApp() {
}

/**
 * destroyApp
 *
 * @param unconditional boolean
 */
public void destroyApp(boolean unconditional) {

  String _prefix = "@Main: ";
  System.out.println(_prefix + "------------------------------------------------------------------");
  System.out.println(_prefix + "--          Shutting down                                       --");
  System.out.println(_prefix + "------------------------------------------------------------------");
  try {
    cntrl.stopRunning();
    cntrl.join();
  } catch (InterruptedException ex) {
    ex.printStackTrace();
  }
  
  System.out.println("@Main: APPLICATION HALTED!");
  notifyDestroyed();
}

/**
 * getInstance()
 */
public static Main getInstance() {
  return instance;
}


}
